{
  "id": "128398ed966f457505ff4428",
  "source": "http",
  "type": "go-type",
  "title": "http.type File ¶",
  "content": "# type http.type File ¶\n\n```\ntype File interface {\n\tio.Closer\n\tio.Reader\n\tio.Seeker\n\tReaddir(count int) ([]fs.FileInfo, error)\n\tStat() (fs.FileInfo, error)\n}\n```\n\nA File is returned by a FileSystem's Open method and can be\nserved by the FileServer implementation.",
  "url": "https://pkg.go.dev/http#type File ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type File ¶",
    "type_kind": "alias",
    "underlying": "type File interface {\n\tio.Closer\n\tio.Reader\n\tio.Seeker\n\tReaddir(count int) ([]fs.FileInfo, error)\n\tStat() (fs.FileInfo, error)\n}"
  },
  "hash": "4a31799156fabe79a6ccc14220de64e0b633925052f63db98f0359ade1206387",
  "timestamp": "2026-02-19T12:17:17.237613144+01:00"
}